server:
  port: 8099
spring:
  application:
    name: huimv-eartag2-process

  datasource:
    url: jdbc:mysql://192.168.1.7:3306/huimv_farm_eartag?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
    username: root
    password: hm123456
    driver-class-name: com.mysql.cj.jdbc.Driver
  jpa:
    show-sql: true
    database: mysql
    hibernate:
      ddl-auto: update
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    open-in-view: true

  #配置rabbitMq 服务器
#  rabbitmq:
#    host: 10.0.0.4
#    port: 5672
#    username: huimv
#    password: hm123456
#    #虚拟host 可以不设置,使用server默认host
#    virtual-host: /
  rabbitmq:
    host: 192.168.1.170
    port: 5672
    username: admin
    password: admin
    #虚拟host 可以不设置,使用server默认host
    virtual-host: /
    listener:
      simple:
        acknowledge-mode: none  #消费端不需要确认

  #redis
  redis:
    database: 0
    host: 192.168.1.68
    port: 6379
    password: hm123456
    timeout: 5000ms
    jedis:
      pool:
        max-active: 20
        max-wait: -1
        max-idle: 10
        min-idle: 0

  #redis
#  redis:
#    database: 0
#    host: 192.168.1.68
#    port: 6379
#    password: hm123456
#    timeout: 5000ms
#    jedis:
#      pool:
#        max-active: 20
#        max-wait: -1
#        max-idle: 10
#        min-idle: 0
#    lettuce:
#      pool:
#        max-active: 3
#        min-idle: 2
#        max-idle: 3
#        max-wait: 1
#      shutdown-timeout: 100

#  data:
#    redis:
#      repositories:
#        enabled: false

  #是否缓存空值
#  cache:
#    redis:
#      cache-null-values: false
    #server:
#  port: 9110
#spring:
#  application:
#    name: huimv-hy-autoGetData
#
#  datasource:
##    url: jdbc:mysql://47.98.175.112:3306/huimv_ql_farm_haiyan?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
#    #    url: jdbc:mysql://36.22.189.214:3306/huimv_ql_farm?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
#        url: jdbc:mysql://192.168.1.7:3306/huimv_ql_farm?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
#    username: root
#    password: hm123456
#    driver-class-name: com.mysql.cj.jdbc.Driver
#  jpa:
#    properties:
#      hibernate:
#        enable_lazy_load_no_trans: true
#    show-sql: true
#    database: mysql
#    hibernate:
#      ddl-auto: update
#    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
#    open-in-view: true


